Loading...
Searching...
No Matches
etl::iforward_list< T >::const_iterator Class Reference

const_iterator More...

`#include <forward_list.h>`

## Public Member Functions

| const_iterator (node_t *node)
| const_iterator (const node_t *node)
| const_iterator (const typename iforward_list::iterator &other)
| const_iterator (const const_iterator &other)
const_iterator & | operator++ ()
const_iterator | operator++ (int)
const_iterator & | operator= (const const_iterator &other)
const_reference | operator* () const
const_pointer | operator& () const
const_pointer | operator-> () const

## Friends

class | iforward_list
bool | operator== (const const_iterator &lhs, const const_iterator &rhs)
bool | operator!= (const const_iterator &lhs, const const_iterator &rhs)

## Additional Inherited Members

Public Types inherited from etl::iterator< ETL_OR_STD::forward_iterator_tag, const T >
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef ETL_OR_STD::forward_iterator_tag | iterator_category

## Detailed Description

template<typename T>
class etl::iforward_list< T >::const_iterator

const_iterator

The documentation for this class was generated from the following file:

- include/etl/forward_list.h